好哇网

lnmp一键安装包多PHP版本共存使用教程

作者 2021-07-9 505

很多小伙伴在安装完lnmp环境后,突然新网站需要用到另外版本的PHP环境,这时候就需要想增加安装一个PHP版本,这样可行吗?当然是可以的,不过要求是必须是lnmp环境,lnmpa环境暂时没有找到支持的办法。今天好哇网lnmp一键安装包多PHP版本共存使用教程。

首先,定位到lnmp安装包源码目录,然后运行以下语句即可:

1
./install.sh mphp

再次强调:多PHP版本只支持LNMP模式,LNMPA、LAMP模式下不支持!

要使用多PHP先安装多PHP版本,在lnmp1.4源码目录下运行:./install.sh mphp 按提示选择要另外安装的PHP版本,不能多选,只能选一个,要安装多个需要安装完成后再运行前面的安装命令。
已经升级完LNMP管理脚本且已安装好多PHP版本的话,lnmp vhost add 时会在设置完日志名称后提示当前已经存在的PHP版本,按提示的数字选择就可以。

如果已经存在的虚拟主机要更改PHP为指定版本需要修改虚拟主机的配置文件,配置文件为 /usr/local/nginx/conf/vhost/域名.conf ,将里面的include enable-php.conf; 替换为 include enable-php7.1.conf; 前面的7.1为php版本,可以根据自己的需要进行修改,但必须要对应的多php版本已经安装,要不然会提示502错误。

修改后必须要重启nginx,否则无法生效。

如要使用新版里面的PHP模块组件安装工具需要升级一下PHP才能使用新版PHP组件安装工具。

多PHP版本PHP模块/组件

多PHP模块安装依然和以前一样只不过存在多PHP版本时会让你选择为哪个版本的PHP安装PHP模块/组件,教程参考:https://lnmp.org/faq/addons.html

发表评论

好哇网,每天提供1000+次下载,做你身边靠谱的下载站!

立刻探索下载

留言咨询